Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class IdentifierExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.IdentifierExpression

Direct Known Subclasses:
  IdentifierExpression.JMSCorrelationIDExpression, IdentifierExpression.JMSDeliveryModeExpression, IdentifierExpression.JMSDestinationExpression, IdentifierExpression.JMSExpirationExpression, IdentifierExpression.JMSMessageIDExpression, IdentifierExpression.JMSPriorityExpression, IdentifierExpression.JMSRedeliveredExpression, IdentifierExpression.JMSReplyToExpression, IdentifierExpression.JMSTimestampExpression, IdentifierExpression.JMSTypeExpression, IdentifierExpression.PropertyExpression

    public abstract class IdentifierExpression

extends Expression

Created: 07 Oct 2007

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Nested Class Summary
`static class` | `IdentifierExpression.JMSCorrelationIDExpression`
`static class` | `IdentifierExpression.JMSDeliveryModeExpression`
`static class` | `IdentifierExpression.JMSDestinationExpression`
`static class` | `IdentifierExpression.JMSExpirationExpression`
`static class` | `IdentifierExpression.JMSMessageIDExpression`
`static class` | `IdentifierExpression.JMSPriorityExpression`
`static class` | `IdentifierExpression.JMSRedeliveredExpression`
`static class` | `IdentifierExpression.JMSReplyToExpression`
`static class` | `IdentifierExpression.JMSTimestampExpression`
`static class` | `IdentifierExpression.JMSTypeExpression`
`static class` | `IdentifierExpression.PropertyExpression`

Method Summary
`String` | `getName()`
`static IdentifierExpression` | `newExpression(String name)`
`String` | `toString(String prefix, String indent)`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate, getValue, getValueClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newExpression

    public static IdentifierExpression newExpression(String name)

### getName

    public String getName()

### toString

    public String toString(String prefix,
                           String indent)

  Specified by:
    `toString` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD